### Method

# Clutter Actor set_y_expand

#### Declaration [src]

    void
    clutter_actor_set_y_expand (
      ClutterActor* self,
      gboolean expand
    )

#### Description [src]

Sets whether a `ClutterActor` should expand horizontally; this means that layout manager should allocate extra space for the actor, if possible.

Setting an actor to expand will also make all its parent expand, so that it’s possible to build an actor tree and only set this flag on its leaves and not on every single actor.

Sets property | `Clutter.Actor:y-expand`

#### Parameters

`expand`

  Type: `gboolean`

  Whether the actor should expand vertically.